package routers

import (
	"doc-service/controllers"
	"doc-service/middlewares"
	"github.com/gin-gonic/gin"
)

func ApiRoutersInit(r *gin.Engine) {

	apiRouters := r.Group("/api", middlewares.InitMiddleware) //middlewares.InitMiddleware
	{
		apiRouters.GET("/", controllers.ApiController{}.Index)
		apiRouters.GET("/plist", controllers.ApiController{}.Plist)
		apiRouters.POST("/doctopdf", controllers.ApiController{}.Conversion)
		apiRouters.GET("/get-pro", controllers.ApiController{}.GetTaskProject)
		apiRouters.GET("/index", controllers.ApiController{}.Index)
	}

}
